MediaWiki:Gadget-Tooltip.css: Difference between revisions

Kuhlau (talk | contribs)
do collapsibles work different here or something... or how bad is this... anyways...
Tags: Mobile edit Mobile web edit
Kuhlau (talk | contribs)
No edit summary
Tags: Mobile edit Mobile web edit
(8 intermediate revisions by the same user not shown)
Line 17: Line 17:
font-weight: inherit;
font-weight: inherit;
}
}
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-content {
.custom-tt-wrapper.hnaw-collapsible {
font-weight: normal;
font-weight: normal;
}
}
Line 41: Line 41:
     color: var(--theme-page-text-color);
     color: var(--theme-page-text-color);
     border-radius: 5px 0 5px 5px;
     border-radius: 5px 0 5px 5px;
     border: 1px solid var(--theme-link-color);
     border: 1px solid var(--theme-accent-color);
     min-width: 75px;
     min-width: 75px;
     min-height: 25px;
     min-height: 25px;
Line 59: Line 59:
     width: 0;
     width: 0;
     border-top: 0 solid transparent;
     border-top: 0 solid transparent;
     border-bottom: 10px solid var(--theme-link-color);
     border-bottom: 10px solid var(--theme-accent-color);
     border-left: 10px solid transparent;
     border-left: 10px solid transparent;
     border-right: 0 solid transparent;
     border-right: 0 solid transparent;
Line 66: Line 66:
}
}


/** Mobile: enabled by default (attr:title does not work) **/
/* Bottom of Page Container (Mobile) */
/* Container */
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden) {
.skin-minerva .custom-tt-wrapper button[aria-expanded="true"] + .mw-collapsible-content.custom-tt {
position: fixed;
position: fixed;
z-index: 10005;
z-index: 10005;
width: 100%;
width: calc(100% - 1em + 2px);
height: 125px;
height: 125px;
background: var(--theme-page-background-color);
background: var(--theme-page-background-color);
color: var(--theme-page-text-color);
color: var(--theme-page-text-color);
border-radius: 0 0 5px 5px;
border-radius: 20px 20px 5px 5px;
border: 1px solid var(--theme-link-color);
border: 1px solid var(--theme-accent-color);
box-shadow: 1px 5px 5px 1px black;
min-width: 150px;
min-width: 150px;
min-height: 25px;
min-height: 25px;
padding: 6px;
padding: 6px 0 6px 12px;
text-align: center;
bottom: 0;
bottom: 0;
left: 0;
left: 0;
margin: 0;
margin: 0;
overflow-y: scroll;
overflow-y: auto;
}
}
/* Container header */
/* Container header */
.skin-minerva .custom-tt-wrapper button[aria-expanded="true"] + .mw-collapsible-content.custom-tt:before {
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
content: "ⓘ Tooltip content:";
content: "ⓘ Tooltip content:";
display: block;
display: block;
Line 93: Line 93:
margin: 2px 0;
margin: 2px 0;
width: 100%;
width: 100%;
border-bottom: 1px solid var(--theme-link-color);
border-bottom: 1px solid var(--theme-accent-color);
}
}
/* Tooltip surrogate toggle on container header */
/* Tooltip surrogate toggle on container header */
.skin-minerva .custom-tt-wrapper button[aria-expanded="true"]:after {
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):after {
content: "x" !important;
content: "×" !important;
position: fixed;
position: fixed;
z-index: 10006;
z-index: 10006;
Line 105: Line 106:
}
}
/* Tooltip surrogate toggle on backdrop overlay */
/* Tooltip surrogate toggle on backdrop overlay */
.skin-minerva .custom-tt-wrapper button[aria-expanded="true"]:before {
/* not sure what this does so hiding it for now
.skin-minerva .custom-tt-wrapper .oo-ui-widget:not(.oo-ui-element-hidden):before {
background: black;
background: black;
position: fixed;
position: fixed;
Line 115: Line 117:
z-index: 10004;
z-index: 10004;
}
}
*/


/* Undo default ooui */
.custom-tt-wrapper .oo-ui-popupWidget-popup {
border: none;
background-color: inherit;
border-radius: inherit;
}


/* For [[Template:Extra Effect]] */
/* For [[Template:Extra Effect]] */